import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { AiSettingsWhereInputObjectSchema as AiSettingsWhereInputObjectSchema } from './AiSettingsWhereInput.schema'

const makeSchema = () => z.object({
  is: z.lazy(() => AiSettingsWhereInputObjectSchema).optional().nullable(),
  isNot: z.lazy(() => AiSettingsWhereInputObjectSchema).optional().nullable()
}).strict();
export const AiSettingsNullableScalarRelationFilterObjectSchema: z.ZodType<Prisma.AiSettingsNullableScalarRelationFilter> = makeSchema() as unknown as z.ZodType<Prisma.AiSettingsNullableScalarRelationFilter>;
export const AiSettingsNullableScalarRelationFilterObjectZodSchema = makeSchema();
